Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Deus Max <[email-masked]>
Date: Sun, 23 Jun 2019 13:27:24 +0300

On Sat, Jun 22 2019, Eric Abrahamsen wrote:

>>> All right, I've pushed these fixes and a bunch of other ones to
>>> scratch/gnus-decoded. If you're still interested in testing, you can
>>> pull in that branch, then either run "make bootstrap" or delete all the
>>> *elc files under lisp/gnus and run a regular "make", then try again.
>>>
>>> Unfortunately this led to so many new tweaks and fixes that I'm going to
>>> restart the clock on dogfooding and testing before it's ready to push.
>>>
>>> Eric
>>
>> dogfooding ??
>
> Ha -- "eating your own dogfood", ie I'll spend a week or two using this
> branch as my daily driver, and see if anything explodes. I'm not sure
> who started using that term, and why it has to be dog food, in particular.

:-)  I like that. Funny !

Pulled in and bootstrapped. Here's what I found:

1. From a Summary Buffer used "B m" to move articles to a new Greek
   group. 
   - The confirmation of this action disappears to the message
     "nnimap read...". 
     : No such group: nnimap+AIA:ΖωηΕνΤάφο.  Create it? (y or n) y
     : Moving to nnimap+AIA:ΖωηΕνΤάφο: (27666)...
     : nnimap read 0k from imap-mail.outlook.com (initial sync of 1
     :   group; please wait)
   
2. The article count for the encoded group is +1 the actual number.

3. In the Group buffer typing "j" (gnus-group-jump-to-group), creates
   the buffer with a "K" and is not usable.  ex:
   :  K     *: Dias/CrappyΚώλος

   From the *Messages* buffer (No unknown folder ??):
   : Retrieving newsgroup: Dias/CrappyΚώλος...
   : gnus-select-newsgroup: Couldn’t activate group Dias/CrappyΚώλος: 
   :   NO unknown folder

4. Further, when trying to move articles to above group:
   : No such group: Dias/CrappyΚώλος.  Create it? (y or n) n
   : gnus-read-move-group-name: No such group: Dias/CrappyΚώλος

Dias